Package oasis.names.tc.dss._1_0.core.schema

# Class ObjectFactory

java.lang.Object
oasis.names.tc.dss._1_0.core.schema.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the oasis.names.tc.dss._1_0.core.schema package.

An ObjectFactory allows you to programmatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: oasis.names.tc.dss._1_0.core.schema

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AdditionalKeyInfo`
  `createAdditionalKeyInfo()`
  Create an instance of `AdditionalKeyInfo`
  `jakarta.xml.bind.JAXBElement<String>`
  `createAdditionalProfile(String value)`
  Create an instance of `JAXBElement``<``String``>`
  `AdditionalTimeInfo`
  `createAdditionalTimeInfo()`
  Create an instance of `AdditionalTimeInfo`
  `jakarta.xml.bind.JAXBElement<UpdateSignatureInstructionType>`
  `createAddTimestamp(UpdateSignatureInstructionType value)`
  Create an instance of `JAXBElement``<``UpdateSignatureInstructionType``>`
  `AnyType`
  `createAnyType()`
  Create an instance of `AnyType`
  `AttachmentReference`
  `createAttachmentReference()`
  Create an instance of `AttachmentReference`
  `Base64Data`
  `createBase64Data()`
  Create an instance of `Base64Data`
  `Base64Signature`
  `createBase64Signature()`
  Create an instance of `Base64Signature`
  `ClaimedIdentity`
  `createClaimedIdentity()`
  Create an instance of `ClaimedIdentity`
  `DetailType`
  `createDetailType()`
  Create an instance of `DetailType`
  `jakarta.xml.bind.JAXBElement<DocumentType>`
  `createDocument(DocumentType value)`
  Create an instance of `JAXBElement``<``DocumentType``>`
  `DocumentHash`
  `createDocumentHash()`
  Create an instance of `DocumentHash`
  `DocumentType`
  `createDocumentType()`
  Create an instance of `DocumentType`
  `DocumentWithSignature`
  `createDocumentWithSignature()`
  Create an instance of `DocumentWithSignature`
  `IncludeObject`
  `createIncludeObject()`
  Create an instance of `IncludeObject`
  `InlineXMLType`
  `createInlineXMLType()`
  Create an instance of `InlineXMLType`
  `InputDocuments`
  `createInputDocuments()`
  Create an instance of `InputDocuments`
  `IntendedAudience`
  `createIntendedAudience()`
  Create an instance of `IntendedAudience`
  `InternationalStringType`
  `createInternationalStringType()`
  Create an instance of `InternationalStringType`
  `KeySelector`
  `createKeySelector()`
  Create an instance of `KeySelector`
  `jakarta.xml.bind.JAXBElement<String>`
  `createLanguage(String value)`
  Create an instance of `JAXBElement``<``String``>`
  `ManifestResult`
  `createManifestResult()`
  Create an instance of `ManifestResult`
  `jakarta.xml.bind.JAXBElement<AnyType>`
  `createOptionalInputs(AnyType value)`
  Create an instance of `JAXBElement``<``AnyType``>`
  `jakarta.xml.bind.JAXBElement<AnyType>`
  `createOptionalOutputs(AnyType value)`
  Create an instance of `JAXBElement``<``AnyType``>`
  `ProcessingDetails`
  `createProcessingDetails()`
  Create an instance of `ProcessingDetails`
  `Properties`
  `createProperties()`
  Create an instance of `Properties`
  `PropertiesType`
  `createPropertiesType()`
  Create an instance of `PropertiesType`
  `Property`
  `createProperty()`
  Create an instance of `Property`
  `RequestBaseType`
  `createRequestBaseType()`
  Create an instance of `RequestBaseType`
  `RequesterIdentity`
  `createRequesterIdentity()`
  Create an instance of `RequesterIdentity`
  `jakarta.xml.bind.JAXBElement<ResponseBaseType>`
  `createResponse(ResponseBaseType value)`
  Create an instance of `JAXBElement``<``ResponseBaseType``>`
  `ResponseBaseType`
  `createResponseBaseType()`
  Create an instance of `ResponseBaseType`
  `Result`
  `createResult()`
  Create an instance of `Result`
  `jakarta.xml.bind.JAXBElement<Object>`
  `createReturnProcessingDetails(Object value)`
  Create an instance of `JAXBElement``<``Object``>`
  `jakarta.xml.bind.JAXBElement<Object>`
  `createReturnSignerIdentity(Object value)`
  Create an instance of `JAXBElement``<``Object``>`
  `jakarta.xml.bind.JAXBElement<Object>`
  `createReturnSigningTimeInfo(Object value)`
  Create an instance of `JAXBElement``<``Object``>`
  `jakarta.xml.bind.JAXBElement<UpdateSignatureInstructionType>`
  `createReturnTimestampedSignature(UpdateSignatureInstructionType value)`
  Create an instance of `JAXBElement``<``UpdateSignatureInstructionType``>`
  `ReturnTransformedDocument`
  `createReturnTransformedDocument()`
  Create an instance of `ReturnTransformedDocument`
  `ReturnUpdatedSignature`
  `createReturnUpdatedSignature()`
  Create an instance of `ReturnUpdatedSignature`
  `jakarta.xml.bind.JAXBElement<Object>`
  `createReturnVerificationTimeInfo(Object value)`
  Create an instance of `JAXBElement``<``Object``>`
  `jakarta.xml.bind.JAXBElement<DocumentType>`
  `createSchema(DocumentType value)`
  Create an instance of `JAXBElement``<``DocumentType``>`
  `Schemas`
  `createSchemas()`
  Create an instance of `Schemas`
  `jakarta.xml.bind.JAXBElement<String>`
  `createServicePolicy(String value)`
  Create an instance of `JAXBElement``<``String``>`
  `SignatureObject`
  `createSignatureObject()`
  Create an instance of `SignatureObject`
  `SignaturePlacement`
  `createSignaturePlacement()`
  Create an instance of `SignaturePlacement`
  `SignaturePtr`
  `createSignaturePtr()`
  Create an instance of `SignaturePtr`
  `jakarta.xml.bind.JAXBElement<String>`
  `createSignatureType(String value)`
  Create an instance of `JAXBElement``<``String``>`
  `SignedReference`
  `createSignedReference()`
  Create an instance of `SignedReference`
  `SignedReferences`
  `createSignedReferences()`
  Create an instance of `SignedReferences`
  `jakarta.xml.bind.JAXBElement<NameIdentifierType>`
  `createSignerIdentity(NameIdentifierType value)`
  Create an instance of `JAXBElement``<``NameIdentifierType``>`
  `SigningTimeBoundaries`
  `createSigningTimeBoundaries()`
  Create an instance of `SigningTimeBoundaries`
  `SigningTimeInfo`
  `createSigningTimeInfo()`
  Create an instance of `SigningTimeInfo`
  `SignRequest`
  `createSignRequest()`
  Create an instance of `SignRequest`
  `SignResponse`
  `createSignResponse()`
  Create an instance of `SignResponse`
  `TimeSignatureInstructionType`
  `createTimeSignatureInstructionType()`
  Create an instance of `TimeSignatureInstructionType`
  `Timestamp`
  `createTimestamp()`
  Create an instance of `Timestamp`
  `jakarta.xml.bind.JAXBElement<UpdatedSignatureType>`
  `createTimestampedSignature(UpdatedSignatureType value)`
  Create an instance of `JAXBElement``<``UpdatedSignatureType``>`
  `TransformedData`
  `createTransformedData()`
  Create an instance of `TransformedData`
  `TransformedDocument`
  `createTransformedDocument()`
  Create an instance of `TransformedDocument`
  `TstInfo`
  `createTstInfo()`
  Create an instance of `TstInfo`
  `jakarta.xml.bind.JAXBElement<UpdatedSignatureType>`
  `createUpdatedSignature(UpdatedSignatureType value)`
  Create an instance of `JAXBElement``<``UpdatedSignatureType``>`
  `UpdatedSignatureType`
  `createUpdatedSignatureType()`
  Create an instance of `UpdatedSignatureType`
  `UpdateSignatureInstructionType`
  `createUpdateSignatureInstructionType()`
  Create an instance of `UpdateSignatureInstructionType`
  `jakarta.xml.bind.JAXBElement<Object>`
  `createUseVerificationTime(Object value)`
  Create an instance of `JAXBElement``<``Object``>`
  `UseVerificationTimeType`
  `createUseVerificationTimeType()`
  Create an instance of `UseVerificationTimeType`
  `VerificationTimeInfo`
  `createVerificationTimeInfo()`
  Create an instance of `VerificationTimeInfo`
  `VerifyManifestResults`
  `createVerifyManifestResults()`
  Create an instance of `VerifyManifestResults`
  `VerifyRequest`
  `createVerifyRequest()`
  Create an instance of `VerifyRequest`
  `jakarta.xml.bind.JAXBElement<ResponseBaseType>`
  `createVerifyResponse(ResponseBaseType value)`
  Create an instance of `JAXBElement``<``ResponseBaseType``>`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: oasis.names.tc.dss._1_0.core.schema

- ## Method Details

  - ### createInputDocuments

    public InputDocuments createInputDocuments()
    Create an instance of `InputDocuments`
    Returns:
      the new instance of `InputDocuments`

  - ### createDocumentType

    public DocumentType createDocumentType()
    Create an instance of `DocumentType`
    Returns:
      the new instance of `DocumentType`

  - ### createTransformedData

    public TransformedData createTransformedData()
    Create an instance of `TransformedData`
    Returns:
      the new instance of `TransformedData`

  - ### createBase64Data

    public Base64Data createBase64Data()
    Create an instance of `Base64Data`
    Returns:
      the new instance of `Base64Data`

  - ### createDocumentHash

    public DocumentHash createDocumentHash()
    Create an instance of `DocumentHash`
    Returns:
      the new instance of `DocumentHash`

  - ### createAnyType

    public AnyType createAnyType()
    Create an instance of `AnyType`
    Returns:
      the new instance of `AnyType`

  - ### createSignatureObject

    public SignatureObject createSignatureObject()
    Create an instance of `SignatureObject`
    Returns:
      the new instance of `SignatureObject`

  - ### createSignaturePtr

    public SignaturePtr createSignaturePtr()
    Create an instance of `SignaturePtr`
    Returns:
      the new instance of `SignaturePtr`

  - ### createBase64Signature

    public Base64Signature createBase64Signature()
    Create an instance of `Base64Signature`
    Returns:
      the new instance of `Base64Signature`

  - ### createTimestamp

    public Timestamp createTimestamp()
    Create an instance of `Timestamp`
    Returns:
      the new instance of `Timestamp`

  - ### createResult

    public Result createResult()
    Create an instance of `Result`
    Returns:
      the new instance of `Result`

  - ### createInternationalStringType

    public InternationalStringType createInternationalStringType()
    Create an instance of `InternationalStringType`
    Returns:
      the new instance of `InternationalStringType`

  - ### createClaimedIdentity

    public ClaimedIdentity createClaimedIdentity()
    Create an instance of `ClaimedIdentity`
    Returns:
      the new instance of `ClaimedIdentity`

  - ### createSchemas

    public Schemas createSchemas()
    Create an instance of `Schemas`
    Returns:
      the new instance of `Schemas`

  - ### createResponseBaseType

    public ResponseBaseType createResponseBaseType()
    Create an instance of `ResponseBaseType`
    Returns:
      the new instance of `ResponseBaseType`

  - ### createSignRequest

    public SignRequest createSignRequest()
    Create an instance of `SignRequest`
    Returns:
      the new instance of `SignRequest`

  - ### createRequestBaseType

    public RequestBaseType createRequestBaseType()
    Create an instance of `RequestBaseType`
    Returns:
      the new instance of `RequestBaseType`

  - ### createSignResponse

    public SignResponse createSignResponse()
    Create an instance of `SignResponse`
    Returns:
      the new instance of `SignResponse`

  - ### createUpdateSignatureInstructionType

    public UpdateSignatureInstructionType createUpdateSignatureInstructionType()
    Create an instance of `UpdateSignatureInstructionType`
    Returns:
      the new instance of `UpdateSignatureInstructionType`

  - ### createIntendedAudience

    public IntendedAudience createIntendedAudience()
    Create an instance of `IntendedAudience`
    Returns:
      the new instance of `IntendedAudience`

  - ### createKeySelector

    public KeySelector createKeySelector()
    Create an instance of `KeySelector`
    Returns:
      the new instance of `KeySelector`

  - ### createProperties

    public Properties createProperties()
    Create an instance of `Properties`
    Returns:
      the new instance of `Properties`

  - ### createPropertiesType

    public PropertiesType createPropertiesType()
    Create an instance of `PropertiesType`
    Returns:
      the new instance of `PropertiesType`

  - ### createProperty

    public Property createProperty()
    Create an instance of `Property`
    Returns:
      the new instance of `Property`

  - ### createIncludeObject

    public IncludeObject createIncludeObject()
    Create an instance of `IncludeObject`
    Returns:
      the new instance of `IncludeObject`

  - ### createSignaturePlacement

    public SignaturePlacement createSignaturePlacement()
    Create an instance of `SignaturePlacement`
    Returns:
      the new instance of `SignaturePlacement`

  - ### createDocumentWithSignature

    public DocumentWithSignature createDocumentWithSignature()
    Create an instance of `DocumentWithSignature`
    Returns:
      the new instance of `DocumentWithSignature`

  - ### createSignedReferences

    public SignedReferences createSignedReferences()
    Create an instance of `SignedReferences`
    Returns:
      the new instance of `SignedReferences`

  - ### createSignedReference

    public SignedReference createSignedReference()
    Create an instance of `SignedReference`
    Returns:
      the new instance of `SignedReference`

  - ### createVerifyRequest

    public VerifyRequest createVerifyRequest()
    Create an instance of `VerifyRequest`
    Returns:
      the new instance of `VerifyRequest`

  - ### createVerifyManifestResults

    public VerifyManifestResults createVerifyManifestResults()
    Create an instance of `VerifyManifestResults`
    Returns:
      the new instance of `VerifyManifestResults`

  - ### createManifestResult

    public ManifestResult createManifestResult()
    Create an instance of `ManifestResult`
    Returns:
      the new instance of `ManifestResult`

  - ### createAdditionalTimeInfo

    public AdditionalTimeInfo createAdditionalTimeInfo()
    Create an instance of `AdditionalTimeInfo`
    Returns:
      the new instance of `AdditionalTimeInfo`

  - ### createVerificationTimeInfo

    public VerificationTimeInfo createVerificationTimeInfo()
    Create an instance of `VerificationTimeInfo`
    Returns:
      the new instance of `VerificationTimeInfo`

  - ### createAdditionalKeyInfo

    public AdditionalKeyInfo createAdditionalKeyInfo()
    Create an instance of `AdditionalKeyInfo`
    Returns:
      the new instance of `AdditionalKeyInfo`

  - ### createProcessingDetails

    public ProcessingDetails createProcessingDetails()
    Create an instance of `ProcessingDetails`
    Returns:
      the new instance of `ProcessingDetails`

  - ### createDetailType

    public DetailType createDetailType()
    Create an instance of `DetailType`
    Returns:
      the new instance of `DetailType`

  - ### createSigningTimeInfo

    public SigningTimeInfo createSigningTimeInfo()
    Create an instance of `SigningTimeInfo`
    Returns:
      the new instance of `SigningTimeInfo`

  - ### createSigningTimeBoundaries

    public SigningTimeBoundaries createSigningTimeBoundaries()
    Create an instance of `SigningTimeBoundaries`
    Returns:
      the new instance of `SigningTimeBoundaries`

  - ### createReturnUpdatedSignature

    public ReturnUpdatedSignature createReturnUpdatedSignature()
    Create an instance of `ReturnUpdatedSignature`
    Returns:
      the new instance of `ReturnUpdatedSignature`

  - ### createUpdatedSignatureType

    public UpdatedSignatureType createUpdatedSignatureType()
    Create an instance of `UpdatedSignatureType`
    Returns:
      the new instance of `UpdatedSignatureType`

  - ### createReturnTransformedDocument

    public ReturnTransformedDocument createReturnTransformedDocument()
    Create an instance of `ReturnTransformedDocument`
    Returns:
      the new instance of `ReturnTransformedDocument`

  - ### createTransformedDocument

    public TransformedDocument createTransformedDocument()
    Create an instance of `TransformedDocument`
    Returns:
      the new instance of `TransformedDocument`

  - ### createTstInfo

    public TstInfo createTstInfo()
    Create an instance of `TstInfo`
    Returns:
      the new instance of `TstInfo`

  - ### createRequesterIdentity

    public RequesterIdentity createRequesterIdentity()
    Create an instance of `RequesterIdentity`
    Returns:
      the new instance of `RequesterIdentity`

  - ### createAttachmentReference

    public AttachmentReference createAttachmentReference()
    Create an instance of `AttachmentReference`
    Returns:
      the new instance of `AttachmentReference`

  - ### createInlineXMLType

    public InlineXMLType createInlineXMLType()
    Create an instance of `InlineXMLType`
    Returns:
      the new instance of `InlineXMLType`

  - ### createTimeSignatureInstructionType

    public TimeSignatureInstructionType createTimeSignatureInstructionType()
    Create an instance of `TimeSignatureInstructionType`
    Returns:
      the new instance of `TimeSignatureInstructionType`

  - ### createUseVerificationTimeType

    public UseVerificationTimeType createUseVerificationTimeType()
    Create an instance of `UseVerificationTimeType`
    Returns:
      the new instance of `UseVerificationTimeType`

  - ### createDocument

    public jakarta.xml.bind.JAXBElement<DocumentType> createDocument(DocumentType value)
    Create an instance of `JAXBElement``<``DocumentType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``DocumentType``>`

  - ### createOptionalInputs

    public jakarta.xml.bind.JAXBElement<AnyType> createOptionalInputs(AnyType value)
    Create an instance of `JAXBElement``<``AnyType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``AnyType``>`

  - ### createOptionalOutputs

    public jakarta.xml.bind.JAXBElement<AnyType> createOptionalOutputs(AnyType value)
    Create an instance of `JAXBElement``<``AnyType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``AnyType``>`

  - ### createServicePolicy

    public jakarta.xml.bind.JAXBElement<String> createServicePolicy(String value)
    Create an instance of `JAXBElement``<``String``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``String``>`

  - ### createLanguage

    public jakarta.xml.bind.JAXBElement<String> createLanguage(String value)
    Create an instance of `JAXBElement``<``String``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``String``>`

  - ### createAdditionalProfile

    public jakarta.xml.bind.JAXBElement<String> createAdditionalProfile(String value)
    Create an instance of `JAXBElement``<``String``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``String``>`

  - ### createSchema

    public jakarta.xml.bind.JAXBElement<DocumentType> createSchema(DocumentType value)
    Create an instance of `JAXBElement``<``DocumentType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``DocumentType``>`

  - ### createResponse

    public jakarta.xml.bind.JAXBElement<ResponseBaseType> createResponse(ResponseBaseType value)
    Create an instance of `JAXBElement``<``ResponseBaseType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ResponseBaseType``>`

  - ### createSignatureType

    public jakarta.xml.bind.JAXBElement<String> createSignatureType(String value)
    Create an instance of `JAXBElement``<``String``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``String``>`

  - ### createAddTimestamp

    public jakarta.xml.bind.JAXBElement<UpdateSignatureInstructionType> createAddTimestamp(UpdateSignatureInstructionType value)
    Create an instance of `JAXBElement``<``UpdateSignatureInstructionType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``UpdateSignatureInstructionType``>`

  - ### createVerifyResponse

    public jakarta.xml.bind.JAXBElement<ResponseBaseType> createVerifyResponse(ResponseBaseType value)
    Create an instance of `JAXBElement``<``ResponseBaseType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ResponseBaseType``>`

  - ### createUseVerificationTime

    public jakarta.xml.bind.JAXBElement<Object> createUseVerificationTime(Object value)
    Create an instance of `JAXBElement``<``Object``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``Object``>`

  - ### createReturnVerificationTimeInfo

    public jakarta.xml.bind.JAXBElement<Object> createReturnVerificationTimeInfo(Object value)
    Create an instance of `JAXBElement``<``Object``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``Object``>`

  - ### createReturnProcessingDetails

    public jakarta.xml.bind.JAXBElement<Object> createReturnProcessingDetails(Object value)
    Create an instance of `JAXBElement``<``Object``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``Object``>`

  - ### createReturnSigningTimeInfo

    public jakarta.xml.bind.JAXBElement<Object> createReturnSigningTimeInfo(Object value)
    Create an instance of `JAXBElement``<``Object``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``Object``>`

  - ### createReturnSignerIdentity

    public jakarta.xml.bind.JAXBElement<Object> createReturnSignerIdentity(Object value)
    Create an instance of `JAXBElement``<``Object``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``Object``>`

  - ### createSignerIdentity

    public jakarta.xml.bind.JAXBElement<NameIdentifierType> createSignerIdentity(NameIdentifierType value)
    Create an instance of `JAXBElement``<``NameIdentifierType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``NameIdentifierType``>`

  - ### createUpdatedSignature

    public jakarta.xml.bind.JAXBElement<UpdatedSignatureType> createUpdatedSignature(UpdatedSignatureType value)
    Create an instance of `JAXBElement``<``UpdatedSignatureType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``UpdatedSignatureType``>`

  - ### createReturnTimestampedSignature

    public jakarta.xml.bind.JAXBElement<UpdateSignatureInstructionType> createReturnTimestampedSignature(UpdateSignatureInstructionType value)
    Create an instance of `JAXBElement``<``UpdateSignatureInstructionType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``UpdateSignatureInstructionType``>`

  - ### createTimestampedSignature

    public jakarta.xml.bind.JAXBElement<UpdatedSignatureType> createTimestampedSignature(UpdatedSignatureType value)
    Create an instance of `JAXBElement``<``UpdatedSignatureType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``UpdatedSignatureType``>`